# FeatureDetection

engine/Source/Core/FeatureDetection.js 296
A set of functions to detect whether the current browser supports various features.

### Methods

#### static Cesium.FeatureDetection.supportsBasis(scene) → boolean
engine/Source/Core/FeatureDetection.js 331

Detects whether the current browser supports Basis Universal textures and the web assembly modules needed to transcode them.

Name | Type | Description
--- | --- | ---
`scene` | Scene |

##### Returns:

true if the browser supports web assembly modules and the scene supports Basis Universal textures, false if not.

#### static Cesium.FeatureDetection.supportsBigInt() → boolean
engine/Source/Core/FeatureDetection.js 387

Detects whether the current browser supports BigInt.

##### Returns:

true if the browser supports BigInt, false if not.

##### See:

- BigInt Specification

#### static Cesium.FeatureDetection.supportsBigInt64Array() → boolean
engine/Source/Core/FeatureDetection.js 365

Detects whether the current browser supports BigInt64Array typed arrays.

##### Returns:

true if the browser supports BigInt64Array typed arrays, false if not.

##### See:

- Typed Array Specification

#### static Cesium.FeatureDetection.supportsBigUint64Array() → boolean
engine/Source/Core/FeatureDetection.js 376

Detects whether the current browser supports BigUint64Array typed arrays.

##### Returns:

true if the browser supports BigUint64Array typed arrays, false if not.

##### See:

- Typed Array Specification

#### static Cesium.FeatureDetection.supportsEsmWebWorkers() → boolean
engine/Source/Core/FeatureDetection.js 434

Detects whether the current browser supports ECMAScript modules in web workers.

##### Returns:

true if the browser supports ECMAScript modules in web workers.

##### See:

- Worker

#### static Cesium.FeatureDetection.supportsFullscreen() → boolean
engine/Source/Core/FeatureDetection.js 343

Detects whether the current browser supports the full screen standard.

##### Returns:

true if the browser supports the full screen standard, false if not.

##### See:

- Fullscreen
- W3C Fullscreen Living Specification

#### static Cesium.FeatureDetection.supportsTypedArrays() → boolean
engine/Source/Core/FeatureDetection.js 354

Detects whether the current browser supports typed arrays.

##### Returns:

true if the browser supports typed arrays, false if not.

##### See:

- Typed Array Specification

#### static Cesium.FeatureDetection.supportsWebAssembly() → boolean
engine/Source/Core/FeatureDetection.js 409

Detects whether the current browser supports Web Assembly.

##### Returns:

true if the browsers supports Web Assembly, false if not.

##### See:

- https://developer.mozilla.org/en-US/docs/WebAssembly

#### static Cesium.FeatureDetection.supportsWebgl2(scene) → boolean
engine/Source/Core/FeatureDetection.js 421

Detects whether the current browser supports a WebGL2 rendering context for the specified scene.

Name | Type | Description
--- | --- | ---
`scene` | Scene | the Cesium scene specifying the rendering context

##### Returns:

true if the browser supports a WebGL2 rendering context, false if not.

##### See:

- WebGL2RenderingContext

#### static Cesium.FeatureDetection.supportsWebWorkers() → boolean
engine/Source/Core/FeatureDetection.js 398

Detects whether the current browser supports Web Workers.

##### Returns:

true if the browsers supports Web Workers, false if not.

##### See:

- http://www.w3.org/TR/workers/

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.